SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Firewall)  >   Fortinet FortiGate/FortiOS Vendors:   Fortinet
Fortinet FortiGate/FortiOS Buffer Overflow in Cookie Parser Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1036643
SecurityTracker URL:  http://securitytracker.com/id/1036643
CVE Reference:   CVE-2016-6909   (Links to External Site)
Updated:  Aug 26 2016
Original Entry Date:  Aug 18 2016
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.1.10 and prior, 4.2.12 and prior, 4.3.8 and prior
Description:   A vulnerability was reported in Fortinet FortiGate/FortiOS. A remote user can execute arbitrary code on the target system.

A remote user can send a specially crafted HTTP request to trigger a buffer overflow in the cookie parser and execute arbitrary code on the target system.

Firmware versions 4.x released prior to August 2012 are affected.

Impact:   A remote user can execute arbitrary code on the target system to gain administrative control.
Solution:   The vendor has issued a fix (4.1.11, 4.2.13 ,4.3.9).

Version 5.x is not affected.

The vendor advisory is available at:

Vendor URL:  fortiguard.com/advisory/FG-IR-16-023 (Links to External Site)
Cause:   Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC